Save This Page
Home » apache-tomcat-6.0.16-src » org.apache » coyote » tomcat3 » [javadoc | source]
org.apache.coyote.tomcat3
public class: Tomcat3Request [javadoc | source]
java.lang.Object
   org.apache.tomcat.core.Request
      org.apache.coyote.tomcat3.Tomcat3Request
The Request to connect with Coyote. This class handles the I/O requirements and transferring the request line and Mime headers between Coyote and Tomcat.
Field Summary
 Request coyoteRequest     
 BaseInterceptor connector     
 ByteChunk readChunk     
 int pos     
 int end     
 byte[] readBuffer     
Fields inherited from org.apache.tomcat.core.Request:
requestURI,  queryString,  serverName,  cookies,  contextPath,  lookupPath,  servletPath,  pathInfo,  parameters,  reqSessionId,  contentLength,  contentType,  charEncoding,  authType,  remoteUser,  reqA,  response,  requestFacade,  context,  attributes,  serverSession,  didReadFormData,  didParameters,  didCookies
Constructor:
 public Tomcat3Request() 
Method from org.apache.coyote.tomcat3.Tomcat3Request Summary:
doRead,   doRead,   getAuthType,   getConnector,   getCoyoteRequest,   getJvmRoute,   getLocalHost,   getRemoteUser,   getServerPort,   isSecure,   readBytes,   recycle,   remoteAddr,   remoteHost,   serverName,   setAuthType,   setConnector,   setCoyoteRequest,   setJvmRoute,   setRemoteUser,   setServerPort
Methods from org.apache.tomcat.core.Request:
getAttribute,   getAttributeNames,   getAuthType,   getCharacterEncoding,   getCharsetFromContentType,   getContentLength,   getContentType,   getContext,   getCookies,   getDateHeader,   getFacade,   getHeader,   getHeaderNames,   getHeaders,   getInputStream,   getIntHeader,   getLookupPath,   getMethod,   getParameterNames,   getParameterValues,   getPathInfo,   getProtocol,   getQueryString,   getReader,   getRemoteAddr,   getRemoteHost,   getRemoteUser,   getRequestURI,   getRequestedSessionId,   getScheme,   getServerName,   getServerPort,   getServerSession,   getServletPath,   getSession,   getSession,   processCookies,   processFormData,   processFormData,   recycle,   removeAttribute,   setAttribute,   setAuthType,   setCharEncoding,   setCharacterEncoding,   setContentLength,   setContentType,   setContext,   setParameters,   setPathInfo,   setQueryString,   setRequestAdapter,   setRequestURI,   setRequestedSessionId,   setResponse,   setServerName,   setServerSession,   setServletPath,   unUrlDecode
Methods from java.lang.Object:
equals,   getClass,   hashCode,   notify,   notifyAll,   toString,   wait,   wait,   wait
Method from org.apache.coyote.tomcat3.Tomcat3Request Detail:
 public int doRead() throws IOException 
    Read a single character from the request body.
 public int doRead(byte[] b,
    int off,
    int len) throws IOException 
    Read a chunk from the request body.
 public String getAuthType() 
 BaseInterceptor getConnector() 
    Get the Connector that this request services
 public Request getCoyoteRequest() 
 public String getJvmRoute() 
 public String getLocalHost() 
 public String getRemoteUser() 
 public int getServerPort() 
 public boolean isSecure() 
 protected int readBytes() throws IOException 
    Read bytes to the read chunk buffer.
 public  void recycle() 
 public MessageBytes remoteAddr() 
 public MessageBytes remoteHost() 
 public MessageBytes serverName() 
 public  void setAuthType(String s) 
  void setConnector(BaseInterceptor conn) 
    Set the Connector that this request services
 public  void setCoyoteRequest(Request cReq) 
    Attach the Coyote Request to this Request. This is currently set pre-request to allow copying the request attributes to the Tomcat attributes.
 public  void setJvmRoute(String s) 
 public  void setRemoteUser(String s) 
 public  void setServerPort(int i)